ReflectionClass::inNamespace
ReflectionClass::isCloneable
ReflectionClass
PHP Manual

# ReflectionClass::isAbstract

(PHP 5)

ReflectionClass::isAbstract — Checks if class is abstract

### Description

public bool ReflectionClass::isAbstract ( void )

Checks if the class is abstract.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 ReflectionClass::isAbstract() example

`<?php
class TestClass { }
abstract class TestAbstractClass { }
$testClass = new ReflectionClass('TestClass');
$abstractClass = new ReflectionClass('TestAbstractClass');
var_dump($testClass->isAbstract());
var_dump($abstractClass->isAbstract());
?>`

The above example will output:

    bool(false)
    bool(true)

### See Also

- ReflectionClass::isInterface() - Checks if the class is an interface
- Class Abstraction

ReflectionClass::inNamespace
ReflectionClass::isCloneable
ReflectionClass
PHP Manual